All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::detail::count Class Reference

Reference counting class for the shared_ptr implementation. More...

`#include <shared_ptr.hpp>`

## Public Member Functions

| count (unsigned int val)
void | dec ()
void | inc ()
bool | is_null ()
unsigned int | val ()

## Detailed Description

Reference counting class for the shared_ptr implementation.

Definition at line 39 of file shared_ptr.hpp.

## Constructor & Destructor Documentation

viennacl::tools::detail::count::count | ( | unsigned int | val | ) |

inline

Definition at line 42 of file shared_ptr.hpp.

## Member Function Documentation

void viennacl::tools::detail::count::dec | ( |  | ) |

inline

Definition at line 43 of file shared_ptr.hpp.

void viennacl::tools::detail::count::inc | ( |  | ) |

inline

Definition at line 44 of file shared_ptr.hpp.

bool viennacl::tools::detail::count::is_null | ( |  | ) |

inline

Definition at line 45 of file shared_ptr.hpp.

unsigned int viennacl::tools::detail::count::val | ( |  | ) |

inline

Definition at line 46 of file shared_ptr.hpp.

The documentation for this class was generated from the following file:

- viennacl/tools/shared_ptr.hpp